from database import db
from .models import Tag


class TagService:
    @staticmethod
    def get_tags():
        tags = Tag.query.all()
        return [{"id": t.id, "name": t.name, "colour": t.colour} for t in tags]

    @staticmethod
    def create_tag(data):
        tag = Tag(name=data["name"], colour=data.get("colour"))
        db.session.add(tag)
        db.session.commit()

    @staticmethod
    def update_tag(id, data):
        tag = Tag.query.get(id)
        for key, value in data.items():
            if hasattr(tag, key):
                setattr(tag, key, value)
        db.session.commit()

    @staticmethod
    def delete_tag(id):
        tag = Tag.query.get(id)
        db.session.delete(tag)
        db.session.commit()
        return {"message": "Tag deleted successfully."}
