//////////////////////////////////////
// sign up form for the demo instance
//////////////////////////////////////

function submitSignup() {
	let result = document.querySelector("#signup-result");
	let email = document.querySelector("#signup-email");
	let xhr = new XMLHttpRequest();
	xhr.responseType = "json";
	let url = "/web/demo-user";
	xhr.open("POST", url, true);
	xhr.setRequestHeader("Content-Type", "application/json");
	xhr.onreadystatechange = function () {
		if (xhr.readyState === 4) {
			// In the success case, we get a plain (json) string; in the error
			// case, we get an object with `errorMessage` property.
			if (typeof this.response == "object" && "errorMessage" in this.response) {
				window.console.log("Error in sign-up request.");
				result.classList.remove("alert-success");
				result.classList.add("alert-danger");
				if (
					this.response.errorMessage ==
					"[KratosError] Unable to insert or update resource because a resource with that value exists already"
				) {
					result.innerHTML = "A user with that email address already exists.";
				} else if (
					this.response.errorMessage ==
					"[KratosError] The request was malformed or contained invalid parameters"
				) {
					result.innerHTML = "That doesn't appear to be a valid email address.";
				} else {
					result.innerHTML = this.response.errorMessage;
				}
			} else {
				result.classList.add("alert-success");
				result.classList.remove("alert-danger");
				result.innerHTML = this.response;
			}
			result.style.visibility = "visible";
		}
	};
	// Converting JSON data to string
	var data = JSON.stringify({ email: email.value });
	// Sending data with the request
	xhr.send(data);
}
