#!/bin/bash

# This is a tool to run the cypress test from a development environment. It is
# not used in the CI.

tag=138-add-cypress-scaffolding
host=https://dashboard.stackspin.net/

user="admin+cypress@stackspin.net"
password=$(pass stackspin/stackspin.net/cypress)

if [ $1 == "--local" ]
then
  echo "Using locally built docker image."
  image=dashboard-cypress
else
  echo "Using docker image from gitlab registry."
  image=open.greenhost.net:4567/stackspin/dashboard/cypress-test:$tag
fi

docker run -it --rm \
  -e CYPRESS_BASE_URL="$host" \
  -e CYPRESS_SSO_USER="$user" \
  -e CYPRESS_SSO_PASSWORD="$password" \
  $image
